#
# spec file for package ibus-kkc
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           ibus-kkc
Version:        1.5.22
Release:        1.12
Summary:        Japanese Kana Kanji input engine for IBus
License:        GPL-2.0+
Group:          System/I18n/Japanese
URL:            https://github.com/ueno/ibus-kkc
Source:         %{URL}/releases/download/v%{version}/ibus-kkc-%{version}.tar.gz
BuildRequires:  gnome-common
BuildRequires:  vala
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.10
BuildRequires:  pkgconfig(ibus-1.0) >= 1.5
BuildRequires:  pkgconfig(kkc-1.0) >= 0.3.4

%description
ibus-kkc is a Japanese Kana Kanji input engine for IBus IMF.

%prep
%setup -q

%build
gnome-autogen.sh
%configure --libexecdir=%{_libdir}/ibus
%make_build

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_libdir}/ibus/ibus-engine-kkc
%{_libdir}/ibus/ibus-setup-kkc
%{_datadir}/applications/ibus-setup-kkc.desktop
%{_datadir}/ibus-kkc/
%{_datadir}/ibus/component/kkc.xml

%changelog
* Sat May  8 2021 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to version 1.5.22
  * Migrated to Gtk widget template
  * IBus 1.4 is no longer supported
  * Changed title of ibus-setup-kkc, from "Setup" to "Preferences"
* Sun Sep 14 2014 ftake@geeko.jp
- fix the license tag
* Tue Sep  9 2014 ftake@geeko.jp
- update to version 1.5.21
  * drop support for libkkc <= 0.3.3
  * new user interface
  * support custom keymap
  * performance improvement and bug fix
- remove unecessary /sbin/ldconfig
* Sun Jul 21 2013 ftake@geeko.jp
- update version 1.5.16
  * fix bug shortcut customization does not take effect
    without restarting
  * minor updates
* Wed Jun 26 2013 i@marguerite.su
- update version 1.5.14.git20130626.
  * see git commit log for details
  * http://gitorious.org/libkkc/ibus-kkc/commits/master
* Sat Apr 27 2013 i@marguerite.su
- initial package
  * test purpose, not for production use.
